## org.openorb.compiler.object
Class IdlIdent

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlIdent

All Implemented Interfaces:
  idlIdentifier, idlObject, java.io.Serializable

public class IdlIdent
extends IdlObject
implements idlIdentifier

Cette classe represente un identificateur vers un objet IDL

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlIdent(java.lang.String name, IdlObject father, IdlObject def)` Cree un objet IDL Ident

Method Summary
`void` `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`java.util.Enumeration` `content()` Return this idlObject content
`IdlObject` `internalObject()` Retourne l'objet interne
`java.lang.String` `internalObjectName()` Retourne le nom de l'objet interne
`idlObject` `original()` Return the original description.

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlIdent

    public IdlIdent(java.lang.String name,
                    IdlObject father,
                    IdlObject def)

  Cree un objet IDL Ident

Method Detail

### internalObject

    public IdlObject internalObject()

  Retourne l'objet interne
  Returns:
    l'objet interne

### internalObjectName

    public java.lang.String internalObjectName()

  Retourne le nom de l'objet interne

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### original

    public idlObject original()

  Description copied from interface: `idlIdentifier`
  Return the original description.
  Specified by:
    `original` in interface `idlIdentifier`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`